import {createRouter, createWebHistory} from "vue-router";
import {Toast, Tooltip} from 'bootstrap';



const routes = [
    {
        path: "/",
        name: "index",
        component: () => import("../views/Index.vue"),
        meta: {
            title: "欢迎",
        },
    },
];


const router = createRouter({
    history: createWebHistory(),
    routes,
});


// before each route
routes.forEach((route) => {

    router.beforeEach((to, from) => {
        new Tooltip(document.body, {
            selector: "[data-bs-toggle='tooltip']",
        });

        Array.from(document.querySelectorAll('.toast')).forEach(
            (toastNode) => new Toast(toastNode)
        );
    });
});


export default router;